# GLM: glm::gtx::fast_exponential Namespace Reference

# glm::gtx::fast_exponential Namespace Reference

GLM_GTX_fast_exponential extension: Fast but less accurate implementations of exponential based functions. More...

## Functions

template<typename T >
T | fastExp (const T &x)
| Faster than the common exp function but less accurate.
template<typename T >
T | fastExp2 (const T &x)
| Faster than the common exp2 function but less accurate.
template<typename T >
T | fastLn (const T &x)
| Faster than the common ln function but less accurate.
template<typename T >
T | fastLog (const T &x)
| Faster than the common log function but less accurate.
template<typename T >
T | fastLog2 (const T &x)
| Faster than the common log2 function but less accurate.
template<typename T , typename U >
T | fastPow (const T &x, const U &y)
| Faster than the common pow function but less accurate.
template<typename valType >
valType | fastPow (valType const &x, valType const &y)
| Faster than the common pow function but less accurate.

## Detailed Description

GLM_GTX_fast_exponential extension: Fast but less accurate implementations of exponential based functions.

## Function Documentation

T glm::gtx::fast_exponential::fastExp | ( | const T & | x | ) |

Faster than the common exp function but less accurate.

From GLM_GTX_fast_exponential extension.

T glm::gtx::fast_exponential::fastExp2 | ( | const T & | x | ) |

Faster than the common exp2 function but less accurate.

From GLM_GTX_fast_exponential extension.

T glm::gtx::fast_exponential::fastLn | ( | const T & | x | ) |

Faster than the common ln function but less accurate.

From GLM_GTX_fast_exponential extension.

T glm::gtx::fast_exponential::fastLog | ( | const T & | x | ) |

Faster than the common log function but less accurate.

From GLM_GTX_fast_exponential extension.

T glm::gtx::fast_exponential::fastLog2 | ( | const T & | x | ) |

Faster than the common log2 function but less accurate.

From GLM_GTX_fast_exponential extension.

T glm::gtx::fast_exponential::fastPow | ( | const T & | x,
|  | const U & | y |
| ) |  |  |

Faster than the common pow function but less accurate.

From GLM_GTX_fast_exponential extension.

valType glm::gtx::fast_exponential::fastPow | ( | valType const & | x,
|  | valType const & | y |
| ) |  |  |

Faster than the common pow function but less accurate.

From GLM_GTX_fast_exponential extension.